## org.eclipse.datatools.connectivity.db.generic
Class GenericDBPlugin

    java.lang.Object
      Plugin
          org.eclipse.datatools.connectivity.db.generic.GenericDBPlugin

    public class GenericDBPlugin

extends Plugin

The main plugin class to be used in the desktop. NON-API

Constructor Summary
`GenericDBPlugin()` The constructor.

Method Summary
`static GenericDBPlugin` `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle,
`java.lang.String` `getResourceString(java.lang.String key)`
`java.lang.String` `getResourceString(java.lang.String key, java.lang.Object[] arguments)`
`void` `start(BundleContext context)` This method is called upon plug-in activation
`void` `stop(BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDBPlugin

    public GenericDBPlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`

### getDefault

    public static GenericDBPlugin getDefault()

  Returns the shared instance.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### getResourceString

    public java.lang.String getResourceString(java.lang.String key)

### getResourceString

    public java.lang.String getResourceString(java.lang.String key,
                                              java.lang.Object[] arguments)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.